unit Unit_ExemplePartie4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, FileCtrl, ShellAPI; //Ne pas oublier ShellAPI

type
  TForm1 = class(TForm)
    Button2: TButton;
    Button3: TButton;
    GroupBox1: TGroupBox;
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button4: TButton;
    GroupBox2: TGroupBox;
    Edit2: TEdit;
    Button6: TButton;
    Button8: TButton;
    Button9: TButton;
    Button1: TButton;
    Button7: TButton;
    GroupBox3: TGroupBox;
    Edit3: TEdit;
    Button5: TButton;
    Button10: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
//La puissance de ShellExecute est qu'il n'y a pas de diffrence de
//code entre ouvrir un fichier, ouvrir un dossier ou ouvrir le fichier point
//par un raccourci
ShellExecute(Handle,'Open',PChar(Edit1.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
//Si le fichier n'est pas dit par le mme programme qu'il l'ouvre (ce qui
//est le cas des .BAT et .HTM, l'opration Edit permet d'ouvrir l'diteur
//associ
ShellExecute(Handle,'Edit',PChar(Edit1.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
//Si le programme qui ouvre le fichier dispose d'une fonction imprimer,
//l'opration permet d'imprimer ou d'ouvrir les options d'impression pour
//le fichier spcifi
ShellExecute(Handle,'Print',PChar(Edit1.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
if OpenDialog1.Execute then Edit1.Text:=OpenDialog1.FileName;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
//Properties permet d'afficher les proprits d'un raccourci : la cible, le
//dossier d'excution...
ShellExecute(Handle,'Properties',PChar(Edit3.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
//La puissance de ShellExecute est qu'il n'y a pas de diffrence de
//code entre ouvrir un fichier, ouvrir un dossier ou ouvrir le fichier point
//par un raccourci
ShellExecute(Handle,'Open',PChar(Edit3.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button6Click(Sender: TObject);
var Path:String;
begin
Path:=Edit2.Text;
SelectDirectory('Slectionner un dossier :','',Path);
Edit2.Text:=Path;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
//La puissance de ShellExecute est qu'il n'y a pas de diffrence de
//code entre ouvrir un fichier, ouvrir un dossier ou ouvrir le fichier point
//par un raccourci
ShellExecute(Handle,'Open',PChar(Edit2.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
//ShellExecute peut aussi ouvrir l'explorateur sur le dossier spcifi
ShellExecute(Handle,'Explore',PChar(Edit2.Text),nil,nil,SW_SHOWDEFAULT);
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
//Ou lancer une recherche de fichiers dans le dossier spcifi
ShellExecute(Handle,'Find',PChar(Edit2.Text),nil,nil,SW_SHOWDEFAULT);
end;

end.
